VoiceOutbound calls

Get Outbound Calls

Retrieve Call Detail Records (CDRs) based on provided filtering parameters. Returns data with pagination. For calls, time period parameters filter by calldate field. Pagination note: Outbound call traffic can be very large, and improper period filtering may lead to incomplete or inconsistent paginated results and reduced performance. Always use explicit time ranges for production usage. IMPORTANT: This endpoint requires period filtering due to high call volume. Period behavior rules: - If both start and end are provided → values are used as-is - If only one boundary is provided → missing boundary is automatically calculated to form a 7-day interval - If no period provided → system defaults to: end = last available call date; start = end - 7 days

GET
/api/v1/voice/calls/outbound

Query Parameters

billsec_from?integer

Optional parameter. Returns only calls where billed/connected duration is greater than or equal to the provided value (in seconds).

Range0 <= value
billsec_to?integer

Optional parameter. Returns only calls where billed/connected duration is less than or equal to the provided value (in seconds).

Range0 <= value
direction_code?array<string>

Optional parameter. Filters records by destination direction codes. Accepts a list of ISO alpha-3 country codes in upper case.

disposition?array<>

Optional parameter. Filters records by call result/disposition values.

dst?string

Optional parameter. Filters Call Detail Records (CDRs) by destination number. Performs full text match.

duration_from?integer

Optional parameter. Returns only calls where total call duration is greater than or equal to the provided value (in seconds).

Range0 <= value
duration_to?integer

Optional parameter. Returns only calls where total call duration is less than or equal to the provided value (in seconds).

Range0 <= value
page?integer

Pagination parameters. Accepts page number. Pagination starts on page=1. If parameter is not provided, the default value of 1 will be set.

page_size?integer

Pagination parameter. Accepts the size of page for pagination. Minimal page size is 1. If parameter is not provided, the default value of 10 will be set.

period_end?string

Time period filter, determines the end of the period. Accepts string with time either as UNIX timestamp, or in format 2006-01-02T15:04:05Z07:00.

period_start?string

Time period filter, determines the start of the period. Accepts string with time either as UNIX timestamp, or in format 2006-01-02T15:04:05Z07:00.

sort_by?string

Ordering parameter. Defines by which field the data will be sorted. If parameter is not provided, will be used entity's default ordering. To use entity's default sorting, pass _default as value.

Value in"_default" | "id" | "calldate" | "src" | "dst" | "disposition" | "duration" | "localized_dst" | "billsec" | "user_rate" | "user_price" | "direction_code" | "direction_name"
sort_order?string

Ordering parameter. Defines the order of sorting (asc or desc). If parameter is not provided, will be used entity's default ordering.

Value in"asc" | "desc"
src?string

Optional parameter. Filters Call Detail Records (CDRs) by source/originating number. Performs full text match.

Header Parameters

Authorization*string

Your API token

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://dev-refactor-api-e.voipenv.uk/api/v1/voice/calls/outbound" \  -H "Authorization: string"
{
  "data": [
    {
      "billsec_in_second": 0,
      "calldate": "string",
      "direction_code": "string",
      "direction_name": "string",
      "disposition": "ANSWERED",
      "duration_in_second": 0,
      "id": 0,
      "localized_dst": "string",
      "src": "string",
      "user_price": 0,
      "user_rate": 0
    }
  ],
  "page": 0,
  "page_size": 0,
  "total": 0,
  "total_pages": 0
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
Form Call To Action

Contact us

You can always send us a message or email. Weʼd be happy to help you out.